Bug 748204 - fuse: please drop needless udev rules file
fuse: please drop needless udev rules file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 20:24 EDT by Kay Sievers
Modified: 2012-11-16 02:41 EST (History)
3 users (show)

See Also:
Fixed In Version: fuse-2.8.7-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-15 08:30:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2011-10-22 20:24:53 EDT
The fuse permission setting is part of the default udev rules set.
There is no need to ship a separate rules file for fuse.

(Also, RPMs should place udev rules in /lib/udev/rules.d/, not in /etc.
/etc is reserved for admins and should not be uded by packages. But that
shouldn't matter as we don't need the file at all.)

Thanks!
Comment 1 Kay Sievers 2012-03-18 15:11:15 EDT
Ping! Thanks!
Comment 3 Fedora Update System 2012-04-15 08:41:01 EDT
fuse-2.8.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fuse-2.8.6-4.fc17
Comment 4 Fedora Update System 2012-04-16 00:42:17 EDT
fuse-2.8.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fuse-2.8.7-1.fc17
Comment 5 Fedora Update System 2012-04-16 00:42:31 EDT
fuse-2.8.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fuse-2.8.7-1.fc16
Comment 6 Fedora Update System 2012-04-19 13:48:11 EDT
fuse-2.8.7-1.fc16.1 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fuse-2.8.7-1.fc16.1
Comment 7 John Watzke 2012-04-23 23:48:27 EDT
The udev/rules.d/99-fuse.rules file still exists.  Did this get left out with the 2.8.7 upgrade or was there a change of plans with regard to dropping the file?
Comment 8 Peter Lemenkov 2012-04-24 00:02:35 EDT
(In reply to comment #7)
> The udev/rules.d/99-fuse.rules file still exists.  Did this get left out with
> the 2.8.7 upgrade or was there a change of plans with regard to dropping the
> file?

This change is only for F-17 and up. What's your Fedora's version?
Comment 9 John Watzke 2012-04-24 23:09:36 EDT
I'm running F16.  The fuse update for F16 had this bug listed and a summary listing stating "Delete needless udev rule in /etc": https://admin.fedoraproject.org/updates/fuse-2.8.7-1.fc16.1

It's likely that it just got copied/pasted from 17 to 16 in Bodhi.  I just wanted to check if it was supposed to be in F16 or not.
Comment 10 Fedora Update System 2012-05-02 00:52:37 EDT
fuse-2.8.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-10-31 10:48:27 EDT
fuse-2.8.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fuse-2.8.7-2.fc17
Comment 12 Fedora Update System 2012-10-31 10:49:00 EDT
fuse-2.8.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fuse-2.8.7-2.fc16
Comment 13 Fedora Update System 2012-11-16 02:32:24 EST
fuse-2.8.7-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-11-16 02:41:17 EST
fuse-2.8.7-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.